Payment batches & settlement

Tx Ops List Batches

Name and signature indicate it returns tx ops list batches

GEThttps://api.toku.com/stablecoin-payroll/tx-ops-list-batches

Required scope: payments:read

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/tx-ops-list-batches' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "batches": [
    {
      "executionMode": "string",
      "batchID": "string",
      "name": "string",
      "module": "string",
      "status": "string",
      "intentCount": 0,
      "createdAt": "string",
      "batchAssets": [
        {
          "networkChainID": "string",
          "networkName": "string",
          "networkType": "string",
          "tokenAddress": "string",
          "tokenSymbol": "string",
          "tokenDecimals": 0
        }
      ]
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0,
  "totalPages": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

statusstring

Available options: DRAFT, IN_PROGRESS, COMPLETED, CANCELLED

pageinteger

Allowed: at least 1

Default: 1

pageSizeinteger

Allowed: 1 to 100

Default: 20

orgIDstring<uuid>

Response

200Successful response
batchesarray | null
Show child attributes
executionModestring | null
batchIDstring | null
namestring | null
modulestring | null
statusstring | null
intentCountnumber | null
createdAtstring | null
batchAssetsarray | null
Show child attributes
networkChainIDstring | null
networkNamestring | null
networkTypestring | null
tokenAddressstring | null
tokenSymbolstring | null
tokenDecimalsnumber | null
totalnumber | null
pagenumber | null
pageSizenumber | null
totalPagesnumber | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits